Package com.avaya.clientservices.agent

## Enum AgentLogoutOverrideType

- java.lang.Object
- - java.lang.Enum<AgentLogoutOverrideType>
  - - com.avaya.clientservices.agent.AgentLogoutOverrideType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AgentLogoutOverrideType>`

      public enum AgentLogoutOverrideType
      extends java.lang.Enum<AgentLogoutOverrideType>

  Represents a policy that is configured on contact center solution that whether the agent will be forced to log out at a certain time or the agent is overriding the forced logout.

  Represents agent's forced logout override configuration types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` | Agent is not configured for forced logout.
    `TIMED_LOGOUT` | Agent is configured to logout after after certain period of time.
    `UNDEFINED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AgentLogoutOverrideType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AgentLogoutOverrideType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final AgentLogoutOverrideType UNDEFINED

    - #### NONE

          public static final AgentLogoutOverrideType NONE

      Agent is not configured for forced logout.

    - #### TIMED_LOGOUT

          public static final AgentLogoutOverrideType TIMED_LOGOUT

      Agent is configured to logout after after certain period of time.

  - ### Method Detail

    - #### values

          public static AgentLogoutOverrideType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AgentLogoutOverrideType c : AgentLogoutOverrideType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AgentLogoutOverrideType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null